%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para los riesgos
\newcounter{rsgctr}
\setcounter{rsgctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the rsgective
%-------------------------------------------------------------------------------

\newcommand{\refrsg}[1]{%
	\texttt{[RSG-\ref{#1}]}%
}

\newcommand\addtitlersg[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{rsgctr}\label{#2}%
		\texttt{\textbf{RSG-\arabic{rsgctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadrsg{\begin{longtable*}{|lp{10cm}|}
	}
	
	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the rsg
	%-------------------------------------------------------------------------------
	\newcommand\addfieldrsg[2]{\textit{#1} &#2\\ \hline  }
	
	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldrsg[2]{ 
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}% 
		&
		\begin{minipage}[t][][t]{10cm}
			\begin{itemize}[leftmargin=*,nosep] 
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}
	
	%-------------------------------------------------------------------------------
	%                Definition of the rsgetive environment
	%-------------------------------------------------------------------------------
	\newenvironment{riesgo}{\tabularheadrsg}
	{\end{longtable*}}
